body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f9;
    margin: 0;
    padding: 20px;
}

.table-container {
    width: 80%;
    margin: 0 auto;
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    /* overflow-x: auto; */
}

.program-table {
    width: 100%;
    border-collapse: collapse;
}

.program-table th,
.program-table td {
    text-align: left;
    padding: 12px;
    border-bottom: 1px solid #ddd;
}

.program-table th {
    background-color: #f2f2f2;
}

.program-table tr:hover {
    background-color: #30e758fa;
    color: white;
}

.program-table .highlight {
    background-color: #d8befa; /* Highlight color for selected row */
}

.toggle-switch {
    width: 50px;
    height: 25px;
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.toggle-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.toggle-switch::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #ccc;
    border-radius: 25px;
    transition: background-color 0.2s ease;
}

.toggle-switch::after {
    content: "";
    position: absolute;
    width: 23px;
    height: 23px;
    background-color: white;
    border-radius: 50%;
    top: 1px;
    left: 1px;
    transition: transform 0.2s ease;
}

.toggle-switch input:checked + .toggle-switch::before {
    background-color: #4caf50;
}

.toggle-switch input:checked + .toggle-switch::after {
    transform: translateX(25px);
}
